Firefly开源社区

12
发表新贴

[Linux] ubuntu20.04 64位系统 增加32bit架构 安装 Unable to locate package ia32-libs

45

积分

0

威望

0

贡献

技术小白

积分
45
发表于 2023-8-21 09:21:01     
问题描述及复现步骤:
你好
盒子 版子型号
ROC-RK3568-PC-SE我需要在 需要运行32bit程序,安装架构失败,需要技术持,





谢谢

新建 文本文档.zip

475 Bytes, 下载次数: 0, 下载积分: 灯泡 -1 , 经验 -1

回复

使用道具 举报

2077

积分

10

威望

12

贡献

中级创客

Rank: 4

积分
2077
发表于 2023-8-21 10:18:17     
ia32-libs早就已经弃用了。现在用multiarch解决
https://wiki.debian.org/Multiarch/HOWTO
回复

使用道具 举报

45

积分

0

威望

0

贡献

技术小白

积分
45
发表于 2023-10-20 09:54:03     
Liuth 发表于 2023-8-21 10:18
ia32-libs早就已经弃用了。现在用multiarch解决
https://wiki.debian.org/Multiarch/HOWTO

ubuntu20.04 64位系统 按照这种方式可以,
但是Ubuntu 18.04.5 LTS 按照这种方式不可以!!还请帮助
回复

使用道具 举报

2077

积分

10

威望

12

贡献

中级创客

Rank: 4

积分
2077
发表于 2023-10-20 10:16:27     
13589390598 发表于 2023-10-20 09:54
ubuntu20.04 64位系统 按照这种方式可以,
但是Ubuntu 18.04.5 LTS 按照这种方式不可以!!还请帮助

可以
图片.png

回复

使用道具 举报

45

积分

0

威望

0

贡献

技术小白

积分
45
发表于 2023-10-20 11:21:49     

是否可以把执行步骤 和 /etc/apt/sources.list  发送一下,
我这边好像有点问题

root@firefly:~/dotnet# apt install libdrm2:armhf
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libdrm2:armhf : Depends: libc6:armhf (>= 2.17) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
root@firefly:~/dotnet# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 18.04.5 LTS
Release:        18.04
Codename:       bionic
root@firefly:~/dotnet# dpkg --print-architecture; dpkg --print-foreign-architectures
arm64
armhf
回复

使用道具 举报

45

积分

0

威望

0

贡献

技术小白

积分
45
发表于 2023-10-20 11:30:19     
13589390598 发表于 2023-10-20 11:21
是否可以把执行步骤 和 /etc/apt/sources.list  发送一下,
我这边好像有点问题

root@firefly:~/dotnet# sudo apt-get update
Hit:2 http://mirrors.aliyun.com/ubuntu-ports bionic InRelease
Get:3 http://mirrors.aliyun.com/ubuntu-ports bionic-security InRelease [88.7 kB]        
Get:4 http://mirrors.aliyun.com/ubuntu-ports bionic-updates InRelease [88.7 kB]                           
Ign:1 http://wiki.t-firefly.com/firefly-rk3399-repo bionic InRelease                                      
Err:5 http://wiki.t-firefly.com/firefly-rk3399-repo bionic Release                 
  Certificate verification failed: The certificate is NOT trusted. The certificate chain uses not yet valid certificate.  Could not handshake: Error in the certificate verification. [IP: 120.133.230.213 443]
Get:6 http://mirrors.aliyun.com/ubuntu-ports bionic-proposed InRelease [242 kB]
Get:7 http://mirrors.aliyun.com/ubuntu-ports bionic-backports InRelease [83.3 kB]
Get:8 http://mirrors.aliyun.com/ubuntu-ports bionic/main Sources [829 kB]
Get:9 http://mirrors.aliyun.com/ubuntu-ports bionic/universe Sources [9051 kB]
Get:10 http://mirrors.aliyun.com/ubuntu-ports bionic/restricted Sources [5324 B]
Get:11 http://mirrors.aliyun.com/ubuntu-ports bionic/multiverse Sources [181 kB]
Reading package lists... Done                                                                             
E: The repository 'http://wiki.t-firefly.com/firefly-rk3399-repo bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Release file for http://mirrors.aliyun.com/ubuntu ... -security/InRelease is not valid yet (invalid for another 971d 22h 55min 12s). Updates for this repository will not be applied.
E: Release file for http://mirrors.aliyun.com/ubuntu ... c-updates/InRelease is not valid yet (invalid for another 971d 22h 56min 49s). Updates for this repository will not be applied.
E: Release file for http://mirrors.aliyun.com/ubuntu ... -proposed/InRelease is not valid yet (invalid for another 971d 22h 58min 37s). Updates for this repository will not be applied.
E: Release file for http://mirrors.aliyun.com/ubuntu ... backports/InRelease is not valid yet (invalid for another 971d 22h 58min 43s). Updates for this repository will not be applied.
回复

使用道具 举报

45

积分

0

威望

0

贡献

技术小白

积分
45
发表于 2023-10-20 13:52:56     

另外IHC-3308GW,有ubuntu20.04的安装镜像可以下载 的连接吗
回复

使用道具 举报

2077

积分

10

威望

12

贡献

中级创客

Rank: 4

积分
2077
发表于 2023-10-20 14:16:43     
sources.zip (914 Bytes, 下载次数: 1)
回复

使用道具 举报

45

积分

0

威望

0

贡献

技术小白

积分
45
发表于 2023-10-20 14:27:48     

Err:6 http://wiki.t-firefly.com/firefly-rk3399-repo bionic Release                 
  Certificate verification failed: The certificate is NOT trusted. The certificate chain uses not yet valid certificate.  Could not handshake: Error in the certificate verification. [IP: 120.133.230.213 443]
Reading package lists... Done
E: The repository 'http://wiki.t-firefly.com/firefly-rk3399-repo bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
回复

使用道具 举报

2077

积分

10

威望

12

贡献

中级创客

Rank: 4

积分
2077
发表于 2023-10-20 14:32:01     
13589390598 发表于 2023-10-20 14:27
Err:6 http://wiki.t-firefly.com/firefly-rk3399-repo bionic Release                 
  Certificate ...

你用的哪个固件?要不试试恢复出厂设置
回复

使用道具 举报

返回列表
12
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

友情链接 : 爱板网 电子发烧友论坛 云汉电子社区 粤ICP备14022046号-2
快速回复 返回顶部 返回列表